Get Transfer Status
curl --request GET \
--url https://api.sandbox.sudo.cards/accounts/transfers/{transferId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.sandbox.sudo.cards/accounts/transfers/{transferId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sandbox.sudo.cards/accounts/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Transfer status fetched successfully.",
"data": {
"_id": "6840c1aa2b3c4d5e6f700555",
"business": "670cec9d25852ba485d74273",
"type": "Transfer",
"debitAccountId": "67974b365c184d20fc340889",
"creditAccountId": null,
"beneficiaryBankCode": "000014",
"beneficiaryAccountNumber": "0123456789",
"beneficiaryAccountName": "JANE DOE",
"amount": 5000,
"fee": 10,
"narration": "Payment for services",
"paymentReference": "REF-250604-2156",
"sessionId": "090286250604215600123456789012",
"status": "completed",
"responseCode": "00",
"responseMessage": "Approved or completed successfully",
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": "2025-06-05T09:15:00.000Z"
}
}{
"statusCode": 400,
"message": "Invalid transfer id.",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Transfer not found.",
"data": null
}Get Transfer Status
Returns the status of a transfer.
GET
/
accounts
/
transfers
/
{transferId}
Get Transfer Status
Authorizations
Path Parameters
_id of transfer from Fund Transfer endpoint.
⌘I
